//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace TripleA.DataAccess
{
    using System;
    using System.Collections.Generic;
    
    public partial class cat_usuarios
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public cat_usuarios()
        {
            this.cat_Grupo_Inventario = new HashSet<cat_Grupo_Inventario>();
            this.cat_Grupo_Inventario1 = new HashSet<cat_Grupo_Inventario>();
            this.cat_Inventario_por_grupo = new HashSet<cat_Inventario_por_grupo>();
        }
    
        public int id_cat_usuarios { get; set; }
        public string nombre { get; set; }
        public string usuario { get; set; }
        public string clave { get; set; }
        public Nullable<bool> isvendedor { get; set; }
        public int id_cat_roles { get; set; }
        public string codigo { get; set; }
        public Nullable<int> codigo_biometrico { get; set; }
        public Nullable<bool> ishabilitado { get; set; }
        public Nullable<bool> aplica_push_money { get; set; }
        public string cadena_id_cat_roles { get; set; }
        public Nullable<bool> iscallcenter { get; set; }
        public Nullable<bool> isvendedor_comisionista { get; set; }
    
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<cat_Grupo_Inventario> cat_Grupo_Inventario { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<cat_Grupo_Inventario> cat_Grupo_Inventario1 { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<cat_Inventario_por_grupo> cat_Inventario_por_grupo { get; set; }
    }
}
